#!/bin/sh

APPROOT=/usr/logd/www/app/
APPNAME=report

devid=$1
longstart=$2
longend=$3
httpsport=$4
htmlname=$5
startjs=$6

cmdfile=/tmp/newreport.cmd
if [ ! -e $cmdfile ]; then
	echo "not found ${cmdfile}"
	exit
fi

# 任务结果表
result_table=/tmp/newreport.res

rm -rf $result_table
rm -rf /tmp/report
mkdir -p /tmp/report
while read cname name cmd; do
	${cmd} > /tmp/report/${name}
	echo ${cname} >> ${result_table}
done << EOF
	`cat ${cmdfile} | awk -F ',' '{print $1,$2,$3}'`
EOF

if [ -e /tmp/report/top_ip ]; then
	i=1
	while read ipaddr; do
		[ "X${ipaddr}" = "X" ] && continue
		[ ${i} -gt 5 ] && break;
		/bin/logeye user_behavior iptoapp_list ipaddr=${ipaddr}-${ipaddr} sort=total errfile=/tmp/topips appid=-1 devid=${devid} longstart=${longstart} longend=${longend} > /tmp/report/top_ip_${i}
		echo "ip详细_${ipaddr}" >> ${result_table}
		i=$((${i}+1))
	done << EOF
		`cat /tmp/report/top_ip | cut -d' ' -f1`
EOF
fi

if [ -e /tmp/report/top_ip_flow ]; then
	i=1
	while read ipaddr; do
		[ "X${ipaddr}" = "X" ] && continue
		[ ${i} -gt 5 ] && break;
		/bin/logeye user_behavior iptoapp_list ipaddr=${ipaddr}-${ipaddr} sort=total errfile=/tmp/topips appid=-1 devid=${devid} longstart=${longstart} longend=${longend} > /tmp/report/top_ip_flow_${i}
		echo "ip详细_${ipaddr}" >> ${result_table}
		i=$((${i}+1))
	done << EOF
		`cat /tmp/report/top_ip_flow | cut -d' ' -f1`
EOF
fi

if [ -e /tmp/report/top_app ]; then
	i=1
	while read appid name cname; do
		[ "X${appid}" = "X" ] && continue
		[ ${i} -gt 5 ] && break;
		/bin/logeye user_behavior apptoip devid=${devid} longstart=${longstart} longend=${longend} appid=${appid} errfile=/tmp/apptoip page=1 limit=25 sort=total > /tmp/report/top_app_${i}
		echo "APP_${cname}" >> ${result_table}
		i=$((${i}+1))
	done << EOF
		`cat /tmp/report/top_app | awk '{print $1,$2,$3}'`
EOF
fi

# 生成报表html
/usr/local/bin/phantomjs --ignore-ssl-errors=true ${startjs} ${httpsport} "${htmlname}" >/dev/null 2>&1








